import 'package:flyinsono/pages/remedical/consultation_record_view/controller.dart';
import 'package:flyinsono/pages/remedical/consultation_record_view/state.dart';
import 'package:flyinsono/rpc.dart';

class CaptureLiveController {
  final ConsultationRecordViewController controller;
  ConsultationRecordViewState get state => controller.state;
  CaptureLiveController(this.controller);

  ///开启RTMPServer
  void startRtmpServer() {
    rpc.platform.startRtmpServer();
  }

  ///停用RTMP服务器
  void stopRtmpServer() {
    rpc.platform.stopRtmpServer();
  }
}
